Document
Keywords: uk.ac.ic.doc.automed.xmlschema.xsdomobject.Document class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema.xsdomobject
Class Document

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.xsdomobject.Document

    public class Document

extends java.lang.Object

Define the internal representation for an XMLSchema document

Constructor Summary
`Document(Element root)` Creates a new instance of Document with root as the root element
`Document(Element root, java.util.ArrayList rootTypes)` A new document with one or more types defined at the root level

Method Summary
`void` | `addPI(java.lang.String PI)` Add the PI info to the top of the schema file
`void` | `addRootType(ComplexType rootType)` Add a single root type
`void` | `addRootTypes(java.util.ArrayList rootTypes)` Add some root types
`java.lang.String` | `getPI()` Return the PI info
`Element` | `getRoot()` Return the root element of this document
`ComplexType` | `getRootType(java.lang.String name)` Return a named root type, null if the named type is not a root ct
`java.util.ArrayList` | `getRootTypes()` Return any root types
`void` | `setRoot(Element root)` Return the root element of this document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Document

    public Document(Element root)

  Creates a new instance of Document with root as the root element

### Document

    public Document(Element root,
                    java.util.ArrayList rootTypes)

  A new document with one or more types defined at the root level

Method Detail

### getRoot

    public Element getRoot()

  Return the root element of this document

### setRoot

    public void setRoot(Element root)

  Return the root element of this document

### getRootTypes

    public java.util.ArrayList getRootTypes()

  Return any root types

### getRootType

    public ComplexType getRootType(java.lang.String name)

  Return a named root type, null if the named type is not a root ct

### addPI

    public void addPI(java.lang.String PI)

  Add the PI info to the top of the schema file

### addRootTypes

    public void addRootTypes(java.util.ArrayList rootTypes)

  Add some root types

### addRootType

    public void addRootType(ComplexType rootType)

  Add a single root type

### getPI

    public java.lang.String getPI()

  Return the PI info

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD